<?php
require_once("functions.synch.php");
require_once("config.php");
require_once(ROSTER_LIB.'login.php');

if (!defined('ROSTER_INSTALLED')) {
	exit('Detected invalid access to this file!');
}

if (isset($_REQUEST['syncplayer'])) { 
	//Synch single player
	synchPlayer(null, $_REQUEST['syncplayer']);	
} else {
	//Require Password Authentication
	$roster_login = new RosterLogin($script_filename);
	if(!$roster_login->getAuthorized()) {
		print $roster_login->getMessage() . $roster_login->getLoginForm();
	
		return;
	} 

	$query = 
		"SELECT members.name " .
		", ISNULL(players.name) AS playerExists " .
		", STR_TO_DATE(players.dateupdatedutc,'". $addon_conf['ArmorySync']['DateUpdatedFormat'] ."') AS playerLastUpdated " .
		"FROM `".ROSTER_MEMBERSTABLE."` members " .
		"LEFT JOIN `".ROSTER_PLAYERSTABLE."` players " .
		"ON members.name = players.name " .
		"WHERE members.level >= " . $addon_conf['ArmorySync']['MinLevel'] . " " .
		"AND ( ".
					"ISNULL(players.name) " .
		      "OR STR_TO_DATE(players.dateupdatedutc,'". $addon_conf['ArmorySync']['DateUpdatedFormat'] ."') <= DATE_SUB(NOW(), INTERVAL " . $addon_conf['ArmorySync']['SynchCutoffTime'] . " HOUR) " .
		      "OR STR_TO_DATE(players.dateupdatedutc,'". $addon_conf['ArmorySync']['DateUpdatedFormat'] ."') >= DATE_ADD(NOW(), INTERVAL 1 YEAR) " .
		") " .
		"ORDER BY " . $addon_conf['ArmorySync']['MemberSorting'];
		
	if ($addon_conf['ArmorySync']['DebugLevel'] >= 1) {
		print $query . "<br>";
	}
	
	$result = $wowdb->query($query) 
		or die_quietly($wowdb->error(), 'Database Error', basename(__FILE__), __LINE__, $query);

	$players = array();
	print "<table>";
	while ($row = $wowdb->fetch_assoc($result)) {
		if ($addon_conf['ArmorySync']['DebugLevel'] >= 1) {
			print "<tr><td>" . $row["name"] . "</td><td>". $row["playerExists"] . "</td><td>" . $row["playerLastUpdated"] . "</td></tr>";
		}
		$players[] = $row["name"];
	}
	print "</table>";
	
	if ($addon_conf['ArmorySync']['DebugLevel'] >= 1) {
		print "Found " . sizeof($players) . " players.<br>";
	}
	
	//Tested using the Kilrogg realm
	//synchGuild(); //Synchs the Guild Member List (does not update all players by default)
	//synchGuild(true); //Synchs the Guild Member List (updates all players)
	//synchPlayer(null, "Han"); //Synchs one player - Kristoff
	//synchPlayers(null, array("Kristoff", "Duny")); //Synchs Kristoff and Duny
	synchPlayers(null, $players);
}
?>